cURL
curl --request GET \
--url https://api.smartbills.io/v1/receipt-payments/{id}import requests
url = "https://api.smartbills.io/v1/receipt-payments/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.smartbills.io/v1/receipt-payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"billingAddress": {
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"location": {
"longitude": 123,
"latitude": 123
},
"googlePlaceId": "<string>",
"formattedAddress": "<string>"
},
"company": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"shippingAddress": {
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"location": {
"longitude": 123,
"latitude": 123
},
"googlePlaceId": "<string>",
"formattedAddress": "<string>"
},
"company": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"statementDescriptor": "<string>",
"card": {
"authorizationCode": "<string>",
"statementDescriptor": "<string>",
"paymentMethod": {
"cardholderName": "<string>",
"cardholderFirstName": "<string>",
"cardholderLastName": "<string>",
"country": "<string>",
"brand": "<string>",
"displayBrand": "<string>",
"coBrand": "<string>",
"expirationMonth": 123,
"expirationYear": 123,
"last4": "<string>",
"dynamicLast4": "<string>",
"bin": "<string>",
"fingerprint": {
"fingerprint": "<string>"
}
},
"emv": {
"applicationId": "<string>",
"applicationName": "<string>",
"applicationCryptogram": "<string>",
"cardholderVerificationMethod": "<string>",
"cardholderVerificationResult": "<string>"
},
"timeline": {
"authorizedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z"
}
},
"cash": {
"cashGiven": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"changeReturned": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
}
},
"bankAccount": {
"bankName": "<string>",
"last4": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"accountType": "<string>",
"fingerprint": "<string>",
"statementDescriptor": "<string>",
"countryCode": "<string>"
},
"external": {
"source": "<string>",
"sourceId": "<string>",
"fee": {
"id": 123,
"currency": "<string>",
"amount": 123,
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"note": "<string>",
"amount": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"tip": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"applicationFee": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"total": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"approuved": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"refunded": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
},
"paymentProcessingFee": [
{
"amount": {
"amount": 123,
"currency": "<string>",
"conversion": {
"originalAmount": 123,
"originalCurrency": "<string>",
"exchangeRate": 123,
"convertedAt": "2023-11-07T05:31:56Z"
}
}
}
],
"receiptNumber": "<string>",
"receiptUrl": "<string>",
"riskEvaluation": {
"riskScore": 123
},
"refunds": [
{
"id": 123
}
],
"paymentMethodId": 123,
"paymentMethod": {
"id": 123,
"stripeId": "<string>",
"setupIntentId": "<string>",
"billingAddress": {
"firstName": "<string>",
"lastName": "<string>",
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"postalCode": "<string>",
"location": {
"longitude": 123,
"latitude": 123
},
"googlePlaceId": "<string>",
"formattedAddress": "<string>"
},
"company": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"card": {
"last4": "<string>",
"dynamicLast4": "<string>",
"name": "<string>",
"country": "<string>",
"fingerprint": "<string>",
"tokenizationMethod": "<string>",
"expirationMonth": 123,
"expirationYear": 123,
"brand": "<string>",
"displayBrand": "<string>",
"bin": "<string>",
"wallet": "<string>"
},
"bankAccount": {
"bankName": "<string>",
"last4": "<string>",
"accountType": "<string>",
"routingNumber": "<string>",
"fingerprint": "<string>",
"institutionNumber": "<string>",
"transitNumber": "<string>"
},
"giftCard": {
"provider": "<string>",
"last4": "<string>",
"balance": 123,
"currency": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"notes": "<string>"
},
"type": "<string>",
"name": "<string>",
"description": "<string>",
"businessId": 123,
"userId": 123,
"assignedToUserId": 123,
"wallet": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}ReceiptPayments
Get v1receipt payments
GET
/
v1
/
receipt-payments
/
{id}
cURL
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CARD, CASH, BANK_ACCOUNT, EXTERNAL, CREDITS, OTHER, GIFT_CARD, CHECK, SETTLEMENT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
APPROUVED, PENDING, COMPLETED, CANCELLED, FAILED, PAID, UNPAID, OVERDUE, PROCESSING, REQUIRES_ACTION, REFUNDED, PARTIALLY_REFUNDED, DISPUTED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I